# Uses of Class
javax.xml.xpath.XPathException

Packages that use XPathException
Package
Description
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of XPathException in javax.xml.xpath

Subclasses of XPathException in javax.xml.xpath
Modifier and Type
Class
Description
`class`
`XPathExpressionException`
`XPathExpressionException` represents an error in an XPath expression.
`class`
`XPathFactoryConfigurationException`
`XPathFactoryConfigurationException` represents a configuration error in a `XPathFactory` environment.
`class`
`XPathFunctionException`
`XPathFunctionException` represents an error with an XPath function.
Methods in javax.xml.xpath that throw XPathException
Modifier and Type
Method
Description
`Node`
XPathNodes.`get(int index)`
Returns a Node at the specified position